Bug 28186 - Use Koha::Authority in C4::AuthoritiesMarc::AddAuthority
Summary: Use Koha::Authority in C4::AuthoritiesMarc::AddAuthority
Status: Pushed to master
Alias: None
Product: Koha
Classification: Unclassified
Component: Architecture, internals, and plumbing (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Julian Maurice
QA Contact: Katrin Fischer
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2021-04-21 06:21 UTC by Julian Maurice
Modified: 2022-10-03 18:14 UTC (History)
2 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Documentation contact:
Documentation submission:
Text to go in the release notes:
Version(s) released in:
22.11.00


Attachments
Bug 28186: Use Koha::Authority in C4::AuthoritiesMarc::AddAuthority (2.09 KB, patch)
2021-04-21 06:22 UTC, Julian Maurice
Details | Diff | Splinter Review
Bug 28186: Use Koha::Authority in C4::AuthoritiesMarc::AddAuthority (2.16 KB, patch)
2021-12-01 07:42 UTC, Julian Maurice
Details | Diff | Splinter Review
Bug 28186: Use Koha::Authority in C4::AuthoritiesMarc::AddAuthority (2.11 KB, patch)
2022-09-06 07:09 UTC, Julian Maurice
Details | Diff | Splinter Review
Bug 28186: Use Koha::Authority in C4::AuthoritiesMarc::AddAuthority (2.25 KB, patch)
2022-09-07 17:54 UTC, Joonas Kylmälä
Details | Diff | Splinter Review
Bug 28186: Use Koha::Authority in C4::AuthoritiesMarc::AddAuthority (2.31 KB, patch)
2022-10-03 17:50 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Julian Maurice 2021-04-21 06:21:38 UTC

    
Comment 1 Julian Maurice 2021-04-21 06:22:10 UTC
Created attachment 119935 [details] [review]
Bug 28186: Use Koha::Authority in C4::AuthoritiesMarc::AddAuthority

This patch replaces the use of $dbh->do by corresponding use of
Koha::Authority object

Test plan:
1. Verify that creating/modifying authority still work
2. prove t/db_dependent/AuthoritiesMarc.t
Comment 2 Fridolin Somers 2021-12-01 06:30:09 UTC
Needs a rebase on current master since Bug 27173
Comment 3 Julian Maurice 2021-12-01 07:42:45 UTC
Created attachment 128117 [details] [review]
Bug 28186: Use Koha::Authority in C4::AuthoritiesMarc::AddAuthority

This patch replaces the use of $dbh->do by corresponding use of
Koha::Authority object

Test plan:
1. Verify that creating/modifying authority still work
2. prove t/db_dependent/AuthoritiesMarc.t
Comment 4 Julian Maurice 2021-12-01 07:45:43 UTC
Patch rebased on master
Comment 5 Joonas Kylmälä 2022-09-05 20:23:33 UTC
Needs another rebase :|
Comment 6 Julian Maurice 2022-09-06 07:09:27 UTC
Created attachment 140219 [details] [review]
Bug 28186: Use Koha::Authority in C4::AuthoritiesMarc::AddAuthority

This patch replaces the use of $dbh->do by corresponding use of
Koha::Authority object

Test plan:
1. Verify that creating/modifying authority still work
2. prove t/db_dependent/AuthoritiesMarc.t
Comment 7 Julian Maurice 2022-09-06 07:09:49 UTC
Patch rebased on master
Comment 8 Joonas Kylmälä 2022-09-07 17:54:30 UTC
Created attachment 140323 [details] [review]
Bug 28186: Use Koha::Authority in C4::AuthoritiesMarc::AddAuthority

This patch replaces the use of $dbh->do by corresponding use of
Koha::Authority object

Test plan:
1. Verify that creating/modifying authority still work
2. prove t/db_dependent/AuthoritiesMarc.t

Signed-off-by: Joonas Kylmälä <joonas.kylmala@iki.fi>
Comment 9 Katrin Fischer 2022-10-03 17:50:04 UTC
Created attachment 141285 [details] [review]
Bug 28186: Use Koha::Authority in C4::AuthoritiesMarc::AddAuthority

This patch replaces the use of $dbh->do by corresponding use of
Koha::Authority object

Test plan:
1. Verify that creating/modifying authority still work
2. prove t/db_dependent/AuthoritiesMarc.t

Signed-off-by: Joonas Kylmälä <joonas.kylmala@iki.fi>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 10 Tomás Cohen Arazi 2022-10-03 18:14:54 UTC
Pushed to master for 22.11.

Nice work everyone, thanks!